// source: breakermodule/breakermodule.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof window !== 'undefined' && window) ||
  (typeof global !== 'undefined' && global) ||
  (typeof self !== 'undefined' && self) ||
  (function () { return this; }).call(null) ||
  Function('return this')();

var uml_pb = require('../uml_pb.js');
goog.object.extend(proto, uml_pb);
var commonmodule_commonmodule_pb = require('../commonmodule/commonmodule_pb.js');
goog.object.extend(proto, commonmodule_commonmodule_pb);
goog.exportSymbol('proto.breakermodule.Breaker', null, global);
goog.exportSymbol('proto.breakermodule.BreakerDiscreteControl', null, global);
goog.exportSymbol('proto.breakermodule.BreakerDiscreteControlProfile', null, global);
goog.exportSymbol('proto.breakermodule.BreakerDiscreteControlXCBR', null, global);
goog.exportSymbol('proto.breakermodule.BreakerEvent', null, global);
goog.exportSymbol('proto.breakermodule.BreakerEventProfile', null, global);
goog.exportSymbol('proto.breakermodule.BreakerReading', null, global);
goog.exportSymbol('proto.breakermodule.BreakerReadingProfile', null, global);
goog.exportSymbol('proto.breakermodule.BreakerStatus', null, global);
goog.exportSymbol('proto.breakermodule.BreakerStatusProfile', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerDiscreteControlXCBR = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerDiscreteControlXCBR, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerDiscreteControlXCBR.displayName = 'proto.breakermodule.BreakerDiscreteControlXCBR';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerDiscreteControl = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerDiscreteControl, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerDiscreteControl.displayName = 'proto.breakermodule.BreakerDiscreteControl';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.Breaker = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.Breaker, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.Breaker.displayName = 'proto.breakermodule.Breaker';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerDiscreteControlProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerDiscreteControlProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerDiscreteControlProfile.displayName = 'proto.breakermodule.BreakerDiscreteControlProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerEvent = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerEvent, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerEvent.displayName = 'proto.breakermodule.BreakerEvent';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerEventProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerEventProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerEventProfile.displayName = 'proto.breakermodule.BreakerEventProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerReading = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerReading, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerReading.displayName = 'proto.breakermodule.BreakerReading';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerReadingProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.breakermodule.BreakerReadingProfile.repeatedFields_, null);
};
goog.inherits(proto.breakermodule.BreakerReadingProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerReadingProfile.displayName = 'proto.breakermodule.BreakerReadingProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerStatus = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerStatus, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerStatus.displayName = 'proto.breakermodule.BreakerStatus';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.breakermodule.BreakerStatusProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.breakermodule.BreakerStatusProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.breakermodule.BreakerStatusProfile.displayName = 'proto.breakermodule.BreakerStatusProfile';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerDiscreteControlXCBR.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerDiscreteControlXCBR.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerDiscreteControlXCBR} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerDiscreteControlXCBR.toObject = function (includeInstance, msg) {
    var f, obj = {
      discretecontrolxcbr: (f = msg.getDiscretecontrolxcbr()) && commonmodule_commonmodule_pb.DiscreteControlXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerDiscreteControlXCBR}
 */
proto.breakermodule.BreakerDiscreteControlXCBR.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerDiscreteControlXCBR;
  return proto.breakermodule.BreakerDiscreteControlXCBR.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerDiscreteControlXCBR} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerDiscreteControlXCBR}
 */
proto.breakermodule.BreakerDiscreteControlXCBR.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.DiscreteControlXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.DiscreteControlXCBR.deserializeBinaryFromReader);
        msg.setDiscretecontrolxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerDiscreteControlXCBR.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerDiscreteControlXCBR.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerDiscreteControlXCBR} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerDiscreteControlXCBR.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getDiscretecontrolxcbr();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.DiscreteControlXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.DiscreteControlXCBR discreteControlXCBR = 1;
 * @return {?proto.commonmodule.DiscreteControlXCBR}
 */
proto.breakermodule.BreakerDiscreteControlXCBR.prototype.getDiscretecontrolxcbr = function () {
  return /** @type{?proto.commonmodule.DiscreteControlXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.DiscreteControlXCBR, 1));
};


/**
 * @param {?proto.commonmodule.DiscreteControlXCBR|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControlXCBR} returns this
*/
proto.breakermodule.BreakerDiscreteControlXCBR.prototype.setDiscretecontrolxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControlXCBR} returns this
 */
proto.breakermodule.BreakerDiscreteControlXCBR.prototype.clearDiscretecontrolxcbr = function () {
  return this.setDiscretecontrolxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControlXCBR.prototype.hasDiscretecontrolxcbr = function () {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerDiscreteControl.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerDiscreteControl.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerDiscreteControl} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerDiscreteControl.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlvalue: (f = msg.getControlvalue()) && commonmodule_commonmodule_pb.ControlValue.toObject(includeInstance, f),
      check: (f = msg.getCheck()) && commonmodule_commonmodule_pb.CheckConditions.toObject(includeInstance, f),
      breakerdiscretecontrolxcbr: (f = msg.getBreakerdiscretecontrolxcbr()) && proto.breakermodule.BreakerDiscreteControlXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerDiscreteControl}
 */
proto.breakermodule.BreakerDiscreteControl.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerDiscreteControl;
  return proto.breakermodule.BreakerDiscreteControl.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerDiscreteControl} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerDiscreteControl}
 */
proto.breakermodule.BreakerDiscreteControl.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlValue.deserializeBinaryFromReader);
        msg.setControlvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.CheckConditions;
        reader.readMessage(value, commonmodule_commonmodule_pb.CheckConditions.deserializeBinaryFromReader);
        msg.setCheck(value);
        break;
      case 3:
        var value = new proto.breakermodule.BreakerDiscreteControlXCBR;
        reader.readMessage(value, proto.breakermodule.BreakerDiscreteControlXCBR.deserializeBinaryFromReader);
        msg.setBreakerdiscretecontrolxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerDiscreteControl.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerDiscreteControl} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerDiscreteControl.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlValue.serializeBinaryToWriter
    );
  }
  f = message.getCheck();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.CheckConditions.serializeBinaryToWriter
    );
  }
  f = message.getBreakerdiscretecontrolxcbr();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.breakermodule.BreakerDiscreteControlXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlValue controlValue = 1;
 * @return {?proto.commonmodule.ControlValue}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.getControlvalue = function () {
  return /** @type{?proto.commonmodule.ControlValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlValue, 1));
};


/**
 * @param {?proto.commonmodule.ControlValue|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
*/
proto.breakermodule.BreakerDiscreteControl.prototype.setControlvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
 */
proto.breakermodule.BreakerDiscreteControl.prototype.clearControlvalue = function () {
  return this.setControlvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.hasControlvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.CheckConditions check = 2;
 * @return {?proto.commonmodule.CheckConditions}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.getCheck = function () {
  return /** @type{?proto.commonmodule.CheckConditions} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.CheckConditions, 2));
};


/**
 * @param {?proto.commonmodule.CheckConditions|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
*/
proto.breakermodule.BreakerDiscreteControl.prototype.setCheck = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
 */
proto.breakermodule.BreakerDiscreteControl.prototype.clearCheck = function () {
  return this.setCheck(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.hasCheck = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional BreakerDiscreteControlXCBR breakerDiscreteControlXCBR = 3;
 * @return {?proto.breakermodule.BreakerDiscreteControlXCBR}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.getBreakerdiscretecontrolxcbr = function () {
  return /** @type{?proto.breakermodule.BreakerDiscreteControlXCBR} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.BreakerDiscreteControlXCBR, 3));
};


/**
 * @param {?proto.breakermodule.BreakerDiscreteControlXCBR|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
*/
proto.breakermodule.BreakerDiscreteControl.prototype.setBreakerdiscretecontrolxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControl} returns this
 */
proto.breakermodule.BreakerDiscreteControl.prototype.clearBreakerdiscretecontrolxcbr = function () {
  return this.setBreakerdiscretecontrolxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControl.prototype.hasBreakerdiscretecontrolxcbr = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.Breaker.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.Breaker.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.Breaker} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.Breaker.toObject = function (includeInstance, msg) {
    var f, obj = {
      conductingequipment: (f = msg.getConductingequipment()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.Breaker}
 */
proto.breakermodule.Breaker.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.Breaker;
  return proto.breakermodule.Breaker.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.Breaker} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.Breaker}
 */
proto.breakermodule.Breaker.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setConductingequipment(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.Breaker.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.Breaker.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.Breaker} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.Breaker.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getConductingequipment();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ConductingEquipment conductingEquipment = 1;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.breakermodule.Breaker.prototype.getConductingequipment = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 1));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.breakermodule.Breaker} returns this
*/
proto.breakermodule.Breaker.prototype.setConductingequipment = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.Breaker} returns this
 */
proto.breakermodule.Breaker.prototype.clearConductingequipment = function () {
  return this.setConductingequipment(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.Breaker.prototype.hasConductingequipment = function () {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerDiscreteControlProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerDiscreteControlProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerDiscreteControlProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerDiscreteControlProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      breaker: (f = msg.getBreaker()) && proto.breakermodule.Breaker.toObject(includeInstance, f),
      breakerdiscretecontrol: (f = msg.getBreakerdiscretecontrol()) && proto.breakermodule.BreakerDiscreteControl.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile}
 */
proto.breakermodule.BreakerDiscreteControlProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerDiscreteControlProfile;
  return proto.breakermodule.BreakerDiscreteControlProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerDiscreteControlProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile}
 */
proto.breakermodule.BreakerDiscreteControlProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new proto.breakermodule.Breaker;
        reader.readMessage(value, proto.breakermodule.Breaker.deserializeBinaryFromReader);
        msg.setBreaker(value);
        break;
      case 3:
        var value = new proto.breakermodule.BreakerDiscreteControl;
        reader.readMessage(value, proto.breakermodule.BreakerDiscreteControl.deserializeBinaryFromReader);
        msg.setBreakerdiscretecontrol(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerDiscreteControlProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerDiscreteControlProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerDiscreteControlProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getBreaker();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.breakermodule.Breaker.serializeBinaryToWriter
    );
  }
  f = message.getBreakerdiscretecontrol();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.breakermodule.BreakerDiscreteControl.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
*/
proto.breakermodule.BreakerDiscreteControlProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Breaker breaker = 2;
 * @return {?proto.breakermodule.Breaker}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.getBreaker = function () {
  return /** @type{?proto.breakermodule.Breaker} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.Breaker, 2));
};


/**
 * @param {?proto.breakermodule.Breaker|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
*/
proto.breakermodule.BreakerDiscreteControlProfile.prototype.setBreaker = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.clearBreaker = function () {
  return this.setBreaker(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.hasBreaker = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional BreakerDiscreteControl breakerDiscreteControl = 3;
 * @return {?proto.breakermodule.BreakerDiscreteControl}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.getBreakerdiscretecontrol = function () {
  return /** @type{?proto.breakermodule.BreakerDiscreteControl} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.BreakerDiscreteControl, 3));
};


/**
 * @param {?proto.breakermodule.BreakerDiscreteControl|undefined} value
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
*/
proto.breakermodule.BreakerDiscreteControlProfile.prototype.setBreakerdiscretecontrol = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerDiscreteControlProfile} returns this
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.clearBreakerdiscretecontrol = function () {
  return this.setBreakerdiscretecontrol(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerDiscreteControlProfile.prototype.hasBreakerdiscretecontrol = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerEvent.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerEvent.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerEvent} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerEvent.toObject = function (includeInstance, msg) {
    var f, obj = {
      eventvalue: (f = msg.getEventvalue()) && commonmodule_commonmodule_pb.EventValue.toObject(includeInstance, f),
      statusandeventxcbr: (f = msg.getStatusandeventxcbr()) && commonmodule_commonmodule_pb.StatusAndEventXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerEvent}
 */
proto.breakermodule.BreakerEvent.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerEvent;
  return proto.breakermodule.BreakerEvent.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerEvent} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerEvent}
 */
proto.breakermodule.BreakerEvent.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.EventValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.EventValue.deserializeBinaryFromReader);
        msg.setEventvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.StatusAndEventXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusAndEventXCBR.deserializeBinaryFromReader);
        msg.setStatusandeventxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerEvent.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerEvent.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerEvent} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerEvent.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getEventvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.EventValue.serializeBinaryToWriter
    );
  }
  f = message.getStatusandeventxcbr();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.StatusAndEventXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.EventValue eventValue = 1;
 * @return {?proto.commonmodule.EventValue}
 */
proto.breakermodule.BreakerEvent.prototype.getEventvalue = function () {
  return /** @type{?proto.commonmodule.EventValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.EventValue, 1));
};


/**
 * @param {?proto.commonmodule.EventValue|undefined} value
 * @return {!proto.breakermodule.BreakerEvent} returns this
*/
proto.breakermodule.BreakerEvent.prototype.setEventvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerEvent} returns this
 */
proto.breakermodule.BreakerEvent.prototype.clearEventvalue = function () {
  return this.setEventvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerEvent.prototype.hasEventvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;
 * @return {?proto.commonmodule.StatusAndEventXCBR}
 */
proto.breakermodule.BreakerEvent.prototype.getStatusandeventxcbr = function () {
  return /** @type{?proto.commonmodule.StatusAndEventXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusAndEventXCBR, 2));
};


/**
 * @param {?proto.commonmodule.StatusAndEventXCBR|undefined} value
 * @return {!proto.breakermodule.BreakerEvent} returns this
*/
proto.breakermodule.BreakerEvent.prototype.setStatusandeventxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerEvent} returns this
 */
proto.breakermodule.BreakerEvent.prototype.clearStatusandeventxcbr = function () {
  return this.setStatusandeventxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerEvent.prototype.hasStatusandeventxcbr = function () {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerEventProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerEventProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerEventProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerEventProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      eventmessageinfo: (f = msg.getEventmessageinfo()) && commonmodule_commonmodule_pb.EventMessageInfo.toObject(includeInstance, f),
      breaker: (f = msg.getBreaker()) && proto.breakermodule.Breaker.toObject(includeInstance, f),
      breakerevent: (f = msg.getBreakerevent()) && proto.breakermodule.BreakerEvent.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerEventProfile}
 */
proto.breakermodule.BreakerEventProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerEventProfile;
  return proto.breakermodule.BreakerEventProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerEventProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerEventProfile}
 */
proto.breakermodule.BreakerEventProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.EventMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.EventMessageInfo.deserializeBinaryFromReader);
        msg.setEventmessageinfo(value);
        break;
      case 2:
        var value = new proto.breakermodule.Breaker;
        reader.readMessage(value, proto.breakermodule.Breaker.deserializeBinaryFromReader);
        msg.setBreaker(value);
        break;
      case 3:
        var value = new proto.breakermodule.BreakerEvent;
        reader.readMessage(value, proto.breakermodule.BreakerEvent.deserializeBinaryFromReader);
        msg.setBreakerevent(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerEventProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerEventProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerEventProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerEventProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getEventmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.EventMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getBreaker();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.breakermodule.Breaker.serializeBinaryToWriter
    );
  }
  f = message.getBreakerevent();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.breakermodule.BreakerEvent.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.EventMessageInfo eventMessageInfo = 1;
 * @return {?proto.commonmodule.EventMessageInfo}
 */
proto.breakermodule.BreakerEventProfile.prototype.getEventmessageinfo = function () {
  return /** @type{?proto.commonmodule.EventMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.EventMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.EventMessageInfo|undefined} value
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
*/
proto.breakermodule.BreakerEventProfile.prototype.setEventmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
 */
proto.breakermodule.BreakerEventProfile.prototype.clearEventmessageinfo = function () {
  return this.setEventmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerEventProfile.prototype.hasEventmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Breaker breaker = 2;
 * @return {?proto.breakermodule.Breaker}
 */
proto.breakermodule.BreakerEventProfile.prototype.getBreaker = function () {
  return /** @type{?proto.breakermodule.Breaker} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.Breaker, 2));
};


/**
 * @param {?proto.breakermodule.Breaker|undefined} value
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
*/
proto.breakermodule.BreakerEventProfile.prototype.setBreaker = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
 */
proto.breakermodule.BreakerEventProfile.prototype.clearBreaker = function () {
  return this.setBreaker(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerEventProfile.prototype.hasBreaker = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional BreakerEvent breakerEvent = 3;
 * @return {?proto.breakermodule.BreakerEvent}
 */
proto.breakermodule.BreakerEventProfile.prototype.getBreakerevent = function () {
  return /** @type{?proto.breakermodule.BreakerEvent} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.BreakerEvent, 3));
};


/**
 * @param {?proto.breakermodule.BreakerEvent|undefined} value
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
*/
proto.breakermodule.BreakerEventProfile.prototype.setBreakerevent = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerEventProfile} returns this
 */
proto.breakermodule.BreakerEventProfile.prototype.clearBreakerevent = function () {
  return this.setBreakerevent(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerEventProfile.prototype.hasBreakerevent = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerReading.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerReading.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerReading} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerReading.toObject = function (includeInstance, msg) {
    var f, obj = {
      conductingequipmentterminalreading: (f = msg.getConductingequipmentterminalreading()) && commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.toObject(includeInstance, f),
      diffreadingmmxu: (f = msg.getDiffreadingmmxu()) && commonmodule_commonmodule_pb.ReadingMMXU.toObject(includeInstance, f),
      phasemmtn: (f = msg.getPhasemmtn()) && commonmodule_commonmodule_pb.PhaseMMTN.toObject(includeInstance, f),
      readingmmtr: (f = msg.getReadingmmtr()) && commonmodule_commonmodule_pb.ReadingMMTR.toObject(includeInstance, f),
      readingmmxu: (f = msg.getReadingmmxu()) && commonmodule_commonmodule_pb.ReadingMMXU.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerReading}
 */
proto.breakermodule.BreakerReading.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerReading;
  return proto.breakermodule.BreakerReading.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerReading} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerReading}
 */
proto.breakermodule.BreakerReading.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.deserializeBinaryFromReader);
        msg.setConductingequipmentterminalreading(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ReadingMMXU;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMXU.deserializeBinaryFromReader);
        msg.setDiffreadingmmxu(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.PhaseMMTN;
        reader.readMessage(value, commonmodule_commonmodule_pb.PhaseMMTN.deserializeBinaryFromReader);
        msg.setPhasemmtn(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ReadingMMTR;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMTR.deserializeBinaryFromReader);
        msg.setReadingmmtr(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ReadingMMXU;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMXU.deserializeBinaryFromReader);
        msg.setReadingmmxu(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerReading.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerReading.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerReading} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerReading.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getConductingequipmentterminalreading();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.serializeBinaryToWriter
    );
  }
  f = message.getDiffreadingmmxu();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ReadingMMXU.serializeBinaryToWriter
    );
  }
  f = message.getPhasemmtn();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.PhaseMMTN.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmtr();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ReadingMMTR.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmxu();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ReadingMMXU.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ConductingEquipmentTerminalReading conductingEquipmentTerminalReading = 1;
 * @return {?proto.commonmodule.ConductingEquipmentTerminalReading}
 */
proto.breakermodule.BreakerReading.prototype.getConductingequipmentterminalreading = function () {
  return /** @type{?proto.commonmodule.ConductingEquipmentTerminalReading} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading, 1));
};


/**
 * @param {?proto.commonmodule.ConductingEquipmentTerminalReading|undefined} value
 * @return {!proto.breakermodule.BreakerReading} returns this
*/
proto.breakermodule.BreakerReading.prototype.setConductingequipmentterminalreading = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReading} returns this
 */
proto.breakermodule.BreakerReading.prototype.clearConductingequipmentterminalreading = function () {
  return this.setConductingequipmentterminalreading(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReading.prototype.hasConductingequipmentterminalreading = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ReadingMMXU diffReadingMMXU = 2;
 * @return {?proto.commonmodule.ReadingMMXU}
 */
proto.breakermodule.BreakerReading.prototype.getDiffreadingmmxu = function () {
  return /** @type{?proto.commonmodule.ReadingMMXU} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMXU, 2));
};


/**
 * @param {?proto.commonmodule.ReadingMMXU|undefined} value
 * @return {!proto.breakermodule.BreakerReading} returns this
*/
proto.breakermodule.BreakerReading.prototype.setDiffreadingmmxu = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReading} returns this
 */
proto.breakermodule.BreakerReading.prototype.clearDiffreadingmmxu = function () {
  return this.setDiffreadingmmxu(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReading.prototype.hasDiffreadingmmxu = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.PhaseMMTN phaseMMTN = 3;
 * @return {?proto.commonmodule.PhaseMMTN}
 */
proto.breakermodule.BreakerReading.prototype.getPhasemmtn = function () {
  return /** @type{?proto.commonmodule.PhaseMMTN} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PhaseMMTN, 3));
};


/**
 * @param {?proto.commonmodule.PhaseMMTN|undefined} value
 * @return {!proto.breakermodule.BreakerReading} returns this
*/
proto.breakermodule.BreakerReading.prototype.setPhasemmtn = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReading} returns this
 */
proto.breakermodule.BreakerReading.prototype.clearPhasemmtn = function () {
  return this.setPhasemmtn(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReading.prototype.hasPhasemmtn = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ReadingMMTR readingMMTR = 4;
 * @return {?proto.commonmodule.ReadingMMTR}
 */
proto.breakermodule.BreakerReading.prototype.getReadingmmtr = function () {
  return /** @type{?proto.commonmodule.ReadingMMTR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMTR, 4));
};


/**
 * @param {?proto.commonmodule.ReadingMMTR|undefined} value
 * @return {!proto.breakermodule.BreakerReading} returns this
*/
proto.breakermodule.BreakerReading.prototype.setReadingmmtr = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReading} returns this
 */
proto.breakermodule.BreakerReading.prototype.clearReadingmmtr = function () {
  return this.setReadingmmtr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReading.prototype.hasReadingmmtr = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ReadingMMXU readingMMXU = 5;
 * @return {?proto.commonmodule.ReadingMMXU}
 */
proto.breakermodule.BreakerReading.prototype.getReadingmmxu = function () {
  return /** @type{?proto.commonmodule.ReadingMMXU} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMXU, 5));
};


/**
 * @param {?proto.commonmodule.ReadingMMXU|undefined} value
 * @return {!proto.breakermodule.BreakerReading} returns this
*/
proto.breakermodule.BreakerReading.prototype.setReadingmmxu = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReading} returns this
 */
proto.breakermodule.BreakerReading.prototype.clearReadingmmxu = function () {
  return this.setReadingmmxu(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReading.prototype.hasReadingmmxu = function () {
  return jspb.Message.getField(this, 5) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.breakermodule.BreakerReadingProfile.repeatedFields_ = [3];



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerReadingProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerReadingProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerReadingProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerReadingProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      readingmessageinfo: (f = msg.getReadingmessageinfo()) && commonmodule_commonmodule_pb.ReadingMessageInfo.toObject(includeInstance, f),
      breaker: (f = msg.getBreaker()) && proto.breakermodule.Breaker.toObject(includeInstance, f),
      breakerreadingList: jspb.Message.toObjectList(msg.getBreakerreadingList(),
        proto.breakermodule.BreakerReading.toObject, includeInstance)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerReadingProfile}
 */
proto.breakermodule.BreakerReadingProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerReadingProfile;
  return proto.breakermodule.BreakerReadingProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerReadingProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerReadingProfile}
 */
proto.breakermodule.BreakerReadingProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ReadingMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMessageInfo.deserializeBinaryFromReader);
        msg.setReadingmessageinfo(value);
        break;
      case 2:
        var value = new proto.breakermodule.Breaker;
        reader.readMessage(value, proto.breakermodule.Breaker.deserializeBinaryFromReader);
        msg.setBreaker(value);
        break;
      case 3:
        var value = new proto.breakermodule.BreakerReading;
        reader.readMessage(value, proto.breakermodule.BreakerReading.deserializeBinaryFromReader);
        msg.addBreakerreading(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerReadingProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerReadingProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerReadingProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerReadingProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getReadingmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ReadingMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getBreaker();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.breakermodule.Breaker.serializeBinaryToWriter
    );
  }
  f = message.getBreakerreadingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      3,
      f,
      proto.breakermodule.BreakerReading.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ReadingMessageInfo readingMessageInfo = 1;
 * @return {?proto.commonmodule.ReadingMessageInfo}
 */
proto.breakermodule.BreakerReadingProfile.prototype.getReadingmessageinfo = function () {
  return /** @type{?proto.commonmodule.ReadingMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ReadingMessageInfo|undefined} value
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
*/
proto.breakermodule.BreakerReadingProfile.prototype.setReadingmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
 */
proto.breakermodule.BreakerReadingProfile.prototype.clearReadingmessageinfo = function () {
  return this.setReadingmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReadingProfile.prototype.hasReadingmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Breaker breaker = 2;
 * @return {?proto.breakermodule.Breaker}
 */
proto.breakermodule.BreakerReadingProfile.prototype.getBreaker = function () {
  return /** @type{?proto.breakermodule.Breaker} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.Breaker, 2));
};


/**
 * @param {?proto.breakermodule.Breaker|undefined} value
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
*/
proto.breakermodule.BreakerReadingProfile.prototype.setBreaker = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
 */
proto.breakermodule.BreakerReadingProfile.prototype.clearBreaker = function () {
  return this.setBreaker(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerReadingProfile.prototype.hasBreaker = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * repeated BreakerReading breakerReading = 3;
 * @return {!Array<!proto.breakermodule.BreakerReading>}
 */
proto.breakermodule.BreakerReadingProfile.prototype.getBreakerreadingList = function () {
  return /** @type{!Array<!proto.breakermodule.BreakerReading>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.breakermodule.BreakerReading, 3));
};


/**
 * @param {!Array<!proto.breakermodule.BreakerReading>} value
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
*/
proto.breakermodule.BreakerReadingProfile.prototype.setBreakerreadingList = function (value) {
  return jspb.Message.setRepeatedWrapperField(this, 3, value);
};


/**
 * @param {!proto.breakermodule.BreakerReading=} opt_value
 * @param {number=} opt_index
 * @return {!proto.breakermodule.BreakerReading}
 */
proto.breakermodule.BreakerReadingProfile.prototype.addBreakerreading = function (opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 3, opt_value, proto.breakermodule.BreakerReading, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.breakermodule.BreakerReadingProfile} returns this
 */
proto.breakermodule.BreakerReadingProfile.prototype.clearBreakerreadingList = function () {
  return this.setBreakerreadingList([]);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerStatus.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerStatus.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerStatus} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerStatus.toObject = function (includeInstance, msg) {
    var f, obj = {
      statusvalue: (f = msg.getStatusvalue()) && commonmodule_commonmodule_pb.StatusValue.toObject(includeInstance, f),
      statusandeventxcbr: (f = msg.getStatusandeventxcbr()) && commonmodule_commonmodule_pb.StatusAndEventXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerStatus}
 */
proto.breakermodule.BreakerStatus.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerStatus;
  return proto.breakermodule.BreakerStatus.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerStatus} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerStatus}
 */
proto.breakermodule.BreakerStatus.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.StatusValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusValue.deserializeBinaryFromReader);
        msg.setStatusvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.StatusAndEventXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusAndEventXCBR.deserializeBinaryFromReader);
        msg.setStatusandeventxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerStatus.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerStatus.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerStatus} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerStatus.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getStatusvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.StatusValue.serializeBinaryToWriter
    );
  }
  f = message.getStatusandeventxcbr();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.StatusAndEventXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.StatusValue statusValue = 1;
 * @return {?proto.commonmodule.StatusValue}
 */
proto.breakermodule.BreakerStatus.prototype.getStatusvalue = function () {
  return /** @type{?proto.commonmodule.StatusValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusValue, 1));
};


/**
 * @param {?proto.commonmodule.StatusValue|undefined} value
 * @return {!proto.breakermodule.BreakerStatus} returns this
*/
proto.breakermodule.BreakerStatus.prototype.setStatusvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerStatus} returns this
 */
proto.breakermodule.BreakerStatus.prototype.clearStatusvalue = function () {
  return this.setStatusvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerStatus.prototype.hasStatusvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;
 * @return {?proto.commonmodule.StatusAndEventXCBR}
 */
proto.breakermodule.BreakerStatus.prototype.getStatusandeventxcbr = function () {
  return /** @type{?proto.commonmodule.StatusAndEventXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusAndEventXCBR, 2));
};


/**
 * @param {?proto.commonmodule.StatusAndEventXCBR|undefined} value
 * @return {!proto.breakermodule.BreakerStatus} returns this
*/
proto.breakermodule.BreakerStatus.prototype.setStatusandeventxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerStatus} returns this
 */
proto.breakermodule.BreakerStatus.prototype.clearStatusandeventxcbr = function () {
  return this.setStatusandeventxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerStatus.prototype.hasStatusandeventxcbr = function () {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.breakermodule.BreakerStatusProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.breakermodule.BreakerStatusProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.breakermodule.BreakerStatusProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.breakermodule.BreakerStatusProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      statusmessageinfo: (f = msg.getStatusmessageinfo()) && commonmodule_commonmodule_pb.StatusMessageInfo.toObject(includeInstance, f),
      breaker: (f = msg.getBreaker()) && proto.breakermodule.Breaker.toObject(includeInstance, f),
      breakerstatus: (f = msg.getBreakerstatus()) && proto.breakermodule.BreakerStatus.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.breakermodule.BreakerStatusProfile}
 */
proto.breakermodule.BreakerStatusProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.breakermodule.BreakerStatusProfile;
  return proto.breakermodule.BreakerStatusProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.breakermodule.BreakerStatusProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.breakermodule.BreakerStatusProfile}
 */
proto.breakermodule.BreakerStatusProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.StatusMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusMessageInfo.deserializeBinaryFromReader);
        msg.setStatusmessageinfo(value);
        break;
      case 2:
        var value = new proto.breakermodule.Breaker;
        reader.readMessage(value, proto.breakermodule.Breaker.deserializeBinaryFromReader);
        msg.setBreaker(value);
        break;
      case 3:
        var value = new proto.breakermodule.BreakerStatus;
        reader.readMessage(value, proto.breakermodule.BreakerStatus.deserializeBinaryFromReader);
        msg.setBreakerstatus(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.breakermodule.BreakerStatusProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.breakermodule.BreakerStatusProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.breakermodule.BreakerStatusProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.breakermodule.BreakerStatusProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getStatusmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.StatusMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getBreaker();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.breakermodule.Breaker.serializeBinaryToWriter
    );
  }
  f = message.getBreakerstatus();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.breakermodule.BreakerStatus.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.StatusMessageInfo statusMessageInfo = 1;
 * @return {?proto.commonmodule.StatusMessageInfo}
 */
proto.breakermodule.BreakerStatusProfile.prototype.getStatusmessageinfo = function () {
  return /** @type{?proto.commonmodule.StatusMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.StatusMessageInfo|undefined} value
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
*/
proto.breakermodule.BreakerStatusProfile.prototype.setStatusmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
 */
proto.breakermodule.BreakerStatusProfile.prototype.clearStatusmessageinfo = function () {
  return this.setStatusmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerStatusProfile.prototype.hasStatusmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Breaker breaker = 2;
 * @return {?proto.breakermodule.Breaker}
 */
proto.breakermodule.BreakerStatusProfile.prototype.getBreaker = function () {
  return /** @type{?proto.breakermodule.Breaker} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.Breaker, 2));
};


/**
 * @param {?proto.breakermodule.Breaker|undefined} value
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
*/
proto.breakermodule.BreakerStatusProfile.prototype.setBreaker = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
 */
proto.breakermodule.BreakerStatusProfile.prototype.clearBreaker = function () {
  return this.setBreaker(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerStatusProfile.prototype.hasBreaker = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional BreakerStatus breakerStatus = 3;
 * @return {?proto.breakermodule.BreakerStatus}
 */
proto.breakermodule.BreakerStatusProfile.prototype.getBreakerstatus = function () {
  return /** @type{?proto.breakermodule.BreakerStatus} */ (
    jspb.Message.getWrapperField(this, proto.breakermodule.BreakerStatus, 3));
};


/**
 * @param {?proto.breakermodule.BreakerStatus|undefined} value
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
*/
proto.breakermodule.BreakerStatusProfile.prototype.setBreakerstatus = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.breakermodule.BreakerStatusProfile} returns this
 */
proto.breakermodule.BreakerStatusProfile.prototype.clearBreakerstatus = function () {
  return this.setBreakerstatus(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.breakermodule.BreakerStatusProfile.prototype.hasBreakerstatus = function () {
  return jspb.Message.getField(this, 3) != null;
};


goog.object.extend(exports, proto.breakermodule);
